Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2929753003: Add informal specification for optional-new/const, constructor tearoffs. (Closed)

Created:
6 months, 1 week ago by Lasse Reichstein Nielsen
Modified:
5 months, 3 weeks ago
Reviewers:
floitsch
CC:
reviews_dartlang.org
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Add informal specification for optional-new/const, constructor tearoffs. R=floitsch@google.com Status: under discussion Committed: https://github.com/dart-lang/sdk/commit/52691c6937b4de7ac3caebcb340282ffe1d84f6d

Patch Set 1 #

Total comments: 22

Patch Set 2 : Update structure. #

Patch Set 3 : Address comments #

Total comments: 10

Patch Set 4 : Version number #

Patch Set 5 : Add more text #

Unified diffs Side-by-side diffs Delta from patch set Stats (+383 lines, -0 lines) Patch
A docs/language/informal/optional-new-const.md View 1 2 3 4 1 chunk +383 lines, -0 lines 0 comments Download
Trybot results:

Messages

Total messages: 10 (2 generated)
Lasse Reichstein Nielsen
6 months, 1 week ago (2017-06-08 12:48:43 UTC) #2
floitsch
LGTM. https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md File docs/language/informal/optional-new-const.md (right): https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md#newcode14 docs/language/informal/optional-new-const.md:14: In current Dart code, some expressions are required ...
6 months, 1 week ago (2017-06-08 15:06:43 UTC) #3
Lasse Reichstein Nielsen
https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md File docs/language/informal/optional-new-const.md (right): https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md#newcode14 docs/language/informal/optional-new-const.md:14: In current Dart code, some expressions are required to ...
6 months, 1 week ago (2017-06-08 15:50:22 UTC) #4
floitsch
https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md File docs/language/informal/optional-new-const.md (right): https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md#newcode59 docs/language/informal/optional-new-const.md:59: * is a sub-expression of an expression in a ...
6 months, 1 week ago (2017-06-08 17:30:08 UTC) #5
Lasse Reichstein Nielsen
https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md File docs/language/informal/optional-new-const.md (right): https://codereview.chromium.org/2929753003/diff/1/docs/language/informal/optional-new-const.md#newcode87 docs/language/informal/optional-new-const.md:87: From this proposal, it would add `new` in front ...
5 months, 3 weeks ago (2017-06-19 12:15:37 UTC) #6
floitsch
Still LGTM. https://codereview.chromium.org/2929753003/diff/40001/docs/language/informal/optional-new-const.md File docs/language/informal/optional-new-const.md (right): https://codereview.chromium.org/2929753003/diff/40001/docs/language/informal/optional-new-const.md#newcode41 docs/language/informal/optional-new-const.md:41: Omitting the `const` prefix from list and ...
5 months, 3 weeks ago (2017-06-19 13:33:48 UTC) #7
Lasse Reichstein Nielsen
https://codereview.chromium.org/2929753003/diff/40001/docs/language/informal/optional-new-const.md File docs/language/informal/optional-new-const.md (right): https://codereview.chromium.org/2929753003/diff/40001/docs/language/informal/optional-new-const.md#newcode41 docs/language/informal/optional-new-const.md:41: Omitting the `const` prefix from list and map literals ...
5 months, 3 weeks ago (2017-06-20 11:18:44 UTC) #8
Lasse Reichstein Nielsen
5 months, 3 weeks ago (2017-06-20 11:22:49 UTC) #10
Message was sent while issue was closed.
Committed patchset #4 (id:60001) manually as
52691c6937b4de7ac3caebcb340282ffe1d84f6d (presubmit successful).

Powered by Google App Engine
This is Rietveld 0eb02b776